import { PropTypes } from 'react';
import purebem from 'purebem';

import Dropdown from './Dropdown';

import './FoundationDropdown.less';


export default Dropdown({
    block: purebem.of('foundation-new-dropdown'),
    displayName: 'FoundationDropdown',
    uiPropDefaultType: PropTypes.oneOf([
        'gray', 'default',
        'teal', 'primary'
    ]),
    uiPropDefaultValue: 'default'
});
