import { PropTypes } from 'react';


// preferably this should be split into an array of shape for each option,
// but we'll hit performance issues in dev environment.
export const dropdownOptionsShape = PropTypes.arrayOf(
    PropTypes.shape({
        disabled: PropTypes.bool,                                       // all
        onClick: PropTypes.func,                                        // action
        text: PropTypes.string,                                         // all
        to: PropTypes.oneOfType([PropTypes.object, PropTypes.string]),  // link (string), route
        type: PropTypes.oneOf(['action', 'link', 'route', 'value']),    // all
        value: PropTypes.string                                         // value
    })
);
